#!/bin/sh
# Some applications provide a menu interpreting the xdg specification in such
# a way that the value of "OnlyShowIn" is only considered if XDG_CURRENT_DESKTOP
# is set to one of the "well known" desktops.
# As a consequence, if e.g. two .desktop files for the same app are provided,
# one with OnlyShowIn:KDE; and the other with NotShowIn:KDE, both entries are
# displayed if XDG_CURRENT_DESKTOP is not set, or has a non registered value.
# As a workaround, we set XDG_CURRENT_DESKTOP to a "dummy" desktop when using a
# (if XDG_CURRENT_DESKTOP not set, tested before launching the WM). As
# few applications have NotShowIn LXDE or OnlyShowIn LXDE, this should lead to
# few false positives and false negatives
# 
# We set the environment variable DUMMY_DESKTOP here, so that its value can be
# changed in only one place the need arises.
#
# Before launching the window manager, if XDG_CURRENT_DESKTOP is not set, it
# will be set to the value of DUMMY_DESKTOP
# Didier Spaier <didier~slint~dot~fr>
export DUMMY_DESKTOP=LXDE
