#!/bin/sh
# DUMMY_DESKTOP is set in /etc/profile.d/dummy_desktop.sh, see this file.
# This script sets XDG_CURRENT_DESKTOP to a known but not shipped by
# default desktop name before starting lxpanel, installed in most windows
# managers in Slint.
# It also serves to give the XDG autostart feature to WMs that lack it.
# The idea behind this file is to centralize these tasks isntead of
# setting a different file fr each WM.
# Also, if a WM is added by an user it will suffice to run this in some
# startup file to get the same features as in WM included in Slint.
# Didier Spaier <didier~at~slint~dot~fr>
if [ "$XDG_CURRENT_DESKTOP" = "" ]; then
	export XDG_CURRENT_DESKTOP=$DUMMY_DESKTOP
fi
if [ ! "$WINDOWMANAGER" = "" ]; then 
	lxpanel -p $WINDOWMANAGER &
else
	lxpanel &
fi
# We want that the X server be started befo running fbautostart.
# Allow some time for that.
sleep 5
fbautostart &
